Bug 338622 - gwenview-4.14.0 fails to compile with >= jpeg-9a
Summary: gwenview-4.14.0 fails to compile with >= jpeg-9a
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Exherbo Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-28 11:56 UTC by Timo Gurr
Modified: 2014-09-16 13:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.2


Attachments
gwenview-4.14.0.log (8.61 KB, text/x-log)
2014-08-28 11:56 UTC, Timo Gurr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Gurr 2014-08-28 11:56:01 UTC
Created attachment 88474 [details]
gwenview-4.14.0.log

[...]
-- Found JPEG: /usr/lib64/libjpeg.so  
[...]
CMake Error at lib/CMakeLists.txt:36 (message):
  Unknown libjpeg version: 90
[...]

Attached is the complete build.log, I've also found a patch "gwenview-4.10.2-allow-compilation-with-jpeg9.patch", source:
https://projects.kde.org/projects/kdesupport/emerge/repository/revisions/a3443b2d65c234828876fe8668e09bd325586955
which still applies to gwenview-4.14.0 and allowed the build to succeed. I only did a quick test but Gwenview was able to start and view/crop/save jpeg files without any issue for me.
Comment 1 Michael Palimaka 2014-09-16 13:18:41 UTC
Fixed for 4.14.2, thanks!